LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices


Reply
  Search this Thread
Old 12-02-2008, 08:34 PM   #1
ezrider
Member
 
Registered: Nov 2003
Location: LA
Distribution: FC4
Posts: 39

Rep: Reputation: 15
FC9 with Motif -> No FC9 with lesstif ->?


My old X11/motif GUI code ran fine with fc7 (32 bit) with OpenMotif, & since fc9 officially dropped OpenMotif, I thought lesstif should do the job. However, lesstif doesn't seem to work.

It compiles fine with fc9_x86_64 with lesstif, but I get the following error as soon as it tries to execute the first X11/motif statements.

+++++++++++++++++++++++++++++++++++++++++++++++
[ezrider GP_home]$ fdtd_vc_GP
Warning: XmManager ClassInitialize: XmeTraitSet failed

Error: attempt to add non-widget child "DropSiteManager" to parent "fdtd_vc_GP" which supports only widgets
[ezrider GP_home]$
++++++++++++++++++++++++++++++++++++++++++++++

Maybe I just need to use a different gcc linker option, or something. Incidentally, at work, I run RHEL x86_64 with OpenMotif & the same GUI code runs just fine there.

There must be some way to get X11/motif code to run under fc9, but I sure could use some help...

-- ezrider
 
Old 12-03-2008, 05:08 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2023 Fedora38 + 50+ other Linux OS, for test only.
Posts: 17,511

Rep: Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641Reputation: 3641
The packages are available, though not in the repo.

openmotif-2.3.0-0.3.fc9.ccrma.i386.rpm
http://rpm.pbone.net/index.php3/stat....i386.rpm.html

openmotif-devel-2.3.0-0.3.fc9.ccrma.i386.rpm
http://rpm.pbone.net/index.php3/stat....i386.rpm.html

You will need libXp and libXp-devel too ( with yum )
and then it all installs OK. And hopefully work too,
I did not test motif.
.....
 
Old 12-07-2008, 12:40 PM   #3
ezrider
Member
 
Registered: Nov 2003
Location: LA
Distribution: FC4
Posts: 39

Original Poster
Rep: Reputation: 15
Quote:
Originally Posted by knudfl View Post
The packages are available, though not in the repo.

openmotif-2.3.0-0.3.fc9.ccrma.i386.rpm
http://rpm.pbone.net/index.php3/stat....i386.rpm.html

openmotif-devel-2.3.0-0.3.fc9.ccrma.i386.rpm
http://rpm.pbone.net/index.php3/stat....i386.rpm.html

You will need libXp and libXp-devel too ( with yum )
and then it all installs OK. And hopefully work too,
I did not test motif.
.....
I'm sorry, but I guess I forgot to say that I'm running fc9_x86_64 so the 32 bit version won't do it. In fact, previous to trying lesstif, I had installed openmotif-devel-2.3.0-0.3.fc9.ccrma.x86_64.rpm with libXp, etc., & that was where the problems started. In that case, I could not get anything to compiled. Then I installed lesstif-devel-0.95.0-26.fc9.x86_64.rpm, etc., & then it compiled, but wouldn't run:

Error: attempt to add non-widget child "DropSiteManager" to parent "fdtd_vc_GP" which supports only widgets.

So, that's where it stands now & I'm not giving up on lesstif just yet.

I'm still hoping someone will be able to help...
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
gdmsetup for FC9? revof11 Linux - Desktop 4 08-02-2010 09:07 PM
FC9 NetworkManager hilton.britten Linux - Networking 1 11-11-2008 02:11 AM
cdialog for FC9 dsupriya Linux - Newbie 0 11-03-2008 03:45 AM
Error Reboot ing FC9 2.6.26.3-29.fc9.x86_64 usdave Fedora 2 10-04-2008 07:52 AM
gpsd wont make, Motif LessTif problem bungle3 Linux - Software 0 10-06-2006 09:30 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora

All times are GMT -5. The time now is 05:14 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration